// Machine generated IDispatch wrapper class(es) created with Add Class from Typelib Wizard

#import "C:\\AlgoStars\\APPs(UAT)\\TCoreRelease\\Components\\TCQuoteWrapperAPI.dll" no_namespace
// CqdiPriceByVolumeItem wrapper class

class CqdiPriceByVolumeItem : public COleDispatchDriver
{
public:
	CqdiPriceByVolumeItem(){} // Calls COleDispatchDriver default constructor
	CqdiPriceByVolumeItem(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CqdiPriceByVolumeItem(const CqdiPriceByVolumeItem& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

	// Attributes
public:

	// Operations
public:


	// qdiPriceByVolumeItem methods
public:
	void put_PriceTable(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x1, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_ItemCount()
	{
		long result;
		InvokeHelper(0x2, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	__int64 GetPrice(long ItemIndex)
	{
		__int64 result;
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x3, DISPATCH_METHOD, VT_I8, (void*)&result, parms, ItemIndex);
		return result;
	}
	long GetQuantity(long ItemIndex)
	{
		long result;
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x4, DISPATCH_METHOD, VT_I4, (void*)&result, parms, ItemIndex);
		return result;
	}
	long GetUpQuantity(long ItemIndex)
	{
		long result;
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x5, DISPATCH_METHOD, VT_I4, (void*)&result, parms, ItemIndex);
		return result;
	}
	long GetDnQuantity(long ItemIndex)
	{
		long result;
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x6, DISPATCH_METHOD, VT_I4, (void*)&result, parms, ItemIndex);
		return result;
	}
	long get_Time()
	{
		long result;
		InvokeHelper(0x7, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_Time(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x7, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}

	// qdiPriceByVolumeItem properties
public:

};
